PHP Manual
Prev |  | Next

# kadm5_delete_principal

(PECL)

kadm5_delete_principal -- Deletes a kerberos principal

## Description

bool kadm5_delete_principal ( resource handle, string principal )

kadm5_delete_principal() remove the principal from the Kerberos database.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. kadm5_delete_principal() example
`<?php $handle = kadm5_init_with_password("afs-1", "GONICUS.LOCAL", "admin/admin", "password"); kadm5_delete_principal($handle, "burbach@GONICUS.LOCAL"); kadm5_destroy($handle); ?>`

Prev | Home | Next
kadm5_create_principal | Up | kadm5_destroy